> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetCallerIDs

POST https://api.voximplant.com/platform_api/GetCallerIDs

Gets the account callerIDs.

Allowed roles: `Owner`, `Admin`.

**Example request:** Get the two callerIDs.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/callerids/get-caller-i-ds

## Authentication

- `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

## Request

### Query parameters

- `callerid_id` (integer, optional) — ID of the callerID object to filter
- `callerid_number` (string, optional) — The phone number to filter
- `active` (boolean, optional) — Whether the account is active to filter
- `order_by` (string, optional) — The following values are available: 'caller_number' (ascent order), 'verified_until' (ascent order)
- `count` (integer, optional, default: 20) — The max returning record count
- `offset` (integer, optional, default: 0) — The first **N** records are skipped in the output

## Response

### 200

Successful response

- `result` (list of CallerIDInfoType, optional)
- `total_count` (integer, optional) — The total found record count
- `count` (integer, optional) — The returned record count

## Types

### CallerIDInfoType

The [GetCallerIDs] function result.

- `callerid_id` (integer, optional) — The callerID id
- `callerid_number` (string, optional) — The callerID number
- `active` (boolean, optional) — Whether active
- `code_entering_attempts_left` (integer, optional) — The code entering attempts left for the unverified callerID
- `verification_call_attempts_left` (integer, optional) — The verification call attempts left for the unverified callerID
- `verified_until` (string, optional) — Date string as returned by the Management API. The verification ending date in the following format: YYYY-MM-DD (for the verified callerID)

## Examples

**Response**

```json
{
  "result": [
    {
      "callerid_id": 9,
      "callerid_number": "74959998877",
      "active": false,
      "code_entering_attempts_left": 10,
      "verification_call_attempts_left": 5
    },
    {
      "callerid_id": 11,
      "callerid_number": "74951112233",
      "active": true,
      "verified_until": "2014-01-14"
    }
  ],
  "total_count": 4,
  "count": 2
}
```

**SDK Code**

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetCallerIDs"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetCallerIDs';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetCallerIDs"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetCallerIDs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetCallerIDs")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetCallerIDs', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetCallerIDs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetCallerIDs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```